config/routes.rb
Rails.application.routes.draw do

  resources :appointments

  resources :event_pets

  root 'customers#index'

  resources :pets

  resources :pets do
    resources :event_pets
  end

  resources :customers do 
    resources :pets
  end

end

app/models/event_pet.rb
class EventPet < ActiveRecord::Base
  belongs_to :pet
end

app/controllers/event_pets_controller.rb
class EventPetsController < ApplicationController
  before_action :set_event_pet, only: [:show, :edit, :update, :destroy]

  # GET /event_pets
  # GET /event_pets.json
  def index
    @event_pets = EventPet.all.order(:date)
  end

  # GET /event_pets/1
  # GET /event_pets/1.json
  def show

  end

  # GET /event_pets/new
  def new
    @event_pet = EventPet.new
    # @pet_id = '1'
    @pet = Pet.find(params[:pet_id])
    # @vari = @pet.id
  end

  # GET /event_pets/1/edit
  def edit
  end

  # POST /event_pets
  # POST /event_pets.json
  def create
    
    @event_pet = EventPet.new(event_pet_params)

    respond_to do |format|
      if @event_pet.save
        format.html { redirect_to @event_pet.pet, notice: 'Event pet was successfully created.' }
        format.json { render :show, status: :created, location: @event_pet }
      else
        format.html { render :new }
        format.json { render json: @event_pet.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /event_pets/1
  # PATCH/PUT /event_pets/1.json
  def update
    respond_to do |format|
      if @event_pet.update(event_pet_params)
        format.html { redirect_to @event_pet.pet, notice: 'Event pet was successfully updated.' }
        format.json { render :show, status: :ok, location: @event_pet }
      else
        format.html { render :edit }
        format.json { render json: @event_pet.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /event_pets/1
  # DELETE /event_pets/1.json
  def destroy
    @event_pet.destroy
    respond_to do |format|
      format.html { redirect_to @event_pet.pet, notice: 'Event pet was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_event_pet
      @event_pet = EventPet.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def event_pet_params
      params.require(:event_pet).permit(:event, :pet_id, :date)
    end
end

app/helpers/event_pets_helper.rb
module EventPetsHelper
end

app/views/event_pets/_form.html.erb
<%= simple_form_for(@event_pet) do |f| %>
  <%= f.error_notification %>

  <div class="form-inputs">
  	<h3><%= @pet.name %></h3></br>
    <%= f.input :event, label: 'Detail', :input_html => {:style => "width: 450px;"} %>
    <%= f.input :date %>
    <%= f.input :pet_id, input_html: {value: @pet.id}, as: :hidden %>
  </div>

  <div class="form-actions">
    <%= f.button :submit %>
  </div>
<% end %>

<%= @event_pet.inspect %>
<p>
  <b>Title:</b>
  <%= params.inspect %></br>
  <%= @pet.name %></br>
  <%= @pet.id %></br>
  <%= @pet %></br>
  <%= @pet %>

</p>

app/views/event_pets/edit.html.erb
<div class="page-header">
  <%= link_to event_pets_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Back
  <% end %>
  <%= link_to @event_pet, :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-info-sign"></span>
    Show
  <% end %>
  <h1>Editing event_pet</h1>
</div>

<%= render 'form' %>

app/views/event_pets/index.html.erb
<div class="page-header">
  <%= link_to new_event_pet_path, :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-plus"></span>
    New Event pet
  <% end %>
  <h1>Details huisdieren</h1>
</div>

<div class="table-responsive">
  <table class="table table-striped table-bordered table-hover">
    <thead>
      <tr>
            <th>Detail</th>
            <th>Huisdier</th>
            <th></th>
        <th></th>
        <th></th>
      </tr>
    </thead>

    <tbody>
      <%= content_tag_for(:tr, @event_pets) do |event_pet| %>
            <td><%= event_pet.event %></td>
            <td><%= event_pet.pet.name %></td>
            <td><%= link_to 'Toon', event_pet, :class => 'btn btn-xs btn-success' %></td>
        <td><%= link_to 'Wijzig', edit_event_pet_path(event_pet), :class => 'btn btn-xs btn-warning' %></td>
        <td><%= link_to 'Verwijder', event_pet, :class => 'btn btn-xs btn-danger', method: :delete, data: { confirm: 'Weet je het zeker?' } %></td>
      <% end %>
    </tbody>
  </table>
</div>

app/views/event_pets/new.html.erb
<div class="page-header">
  <%= link_to event_pets_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Terug
  <% end %>
  <h1>Voorval toevoegen</h1>
</div>

<%= render 'form' %>

app/views/event_pets/show.html.erb
<div class="page-header">
  <%= link_to event_pets_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Back
  <% end %>
  <%= link_to edit_event_pet_path(@event_pet), :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-pencil"></span>
    Edit
  <% end %>
  <h1>Huisdier bijzonderheden</h1>
</div>

<dl class="dl-horizontal">

    <dt>Huisdier:</dt>
  <dd><%= @event_pet %></dd>

  <dt>Details:</dt>
  <dd><%= @event_pet.event %></dd>

    <dt>Datum:</dt>
  <dd><%= @event_pet.created_at %></dd>

</dl>

<%= params.inspect %>
<%= @event_pet_params %>